<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorWhite"
    tools:context=".activity.MainActivity">
    <!-- main relative layout -->
    <RelativeLayout
        android:id="@+id/relLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <!-- top relative layout -->
        <RelativeLayout
            android:id="@+id/relLayoutTopBar"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_alignParentTop="true">

            <!-- top bar -->
            <android.support.design.widget.AppBarLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">


            </android.support.design.widget.AppBarLayout>


        </RelativeLayout>

        <!-- MIDDLE relative layout -->
        <RelativeLayout
            android:id="@+id/relLayoutMiddle"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_above="@+id/relLayoutBotBar"
            android:layout_below="@+id/relLayoutTopBar">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="80dp"
                android:textSize="30sp"
                android:id="@+id/activityTitle1"
                android:textAlignment="center"
                />


        </RelativeLayout>


        <!-- BOTTOM relative layout -->
        <RelativeLayout
            android:id="@+id/relLayoutBotBar"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_alignParentBottom="true">


            <!--  v2 bottom bar -->
            <android.support.design.widget.BottomNavigationView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/bottomNavView_Bar"
                android:background="@drawable/grey_border_top"
                app:menu="@menu/bottom_navigation_menu"
                >


            </android.support.design.widget.BottomNavigationView>

            <!--  v1 bottom bar -->
            <!--  <android.support.design.widget.AppBarLayout
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_gravity="bottom">

                  <android.support.v7.widget.Toolbar
                      android:id="@+id/toolbarBottom"
                      android:layout_width="match_parent"
                      android:layout_height="wrap_content"
                      android:background="@drawable/grey_border_top">


                      <LinearLayout
                          android:layout_width="match_parent"
                          android:layout_height="match_parent"
                          android:orientation="horizontal"
                          android:weightSum="100">

                          <ImageView
                              android:layout_width="0dp"
                              android:layout_height="match_parent"
                              android:layout_weight="33"
                              android:src="@drawable/ic_home_black" />

                          <ImageView
                              android:layout_width="0dp"
                              android:layout_height="match_parent"
                              android:layout_weight="33"
                              android:src="@drawable/ic_view_list" />

                          <ImageView
                              android:layout_width="0dp"
                              android:layout_height="match_parent"
                              android:layout_weight="33"
                              android:src="@drawable/ic_shuffle_black" />
                      </LinearLayout>


                  </android.support.v7.widget.Toolbar>


              </android.support.design.widget.AppBarLayout>-->


        </RelativeLayout>


    </RelativeLayout>


</android.support.design.widget.CoordinatorLayout>
